PETSc version 3.17.4
Fix/Edit manual page

# DMHasLabel

Determine whether the mesh has a label of a given name

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode DMHasLabel(DM dm, const char name[], PetscBool *hasLabel)

Not Collective

### Input Parameters

| dm | - The DM object
| name | - The label name

### Output Parameter

| hasLabel | - PETSC_TRUE if the label is present

### See Also

DMCreateLabel(), DMGetLabelValue(), DMSetLabelValue(), DMGetStratumIS()

### Level

intermediate

### Location

src/dm/interface/dm.c

### Examples

src/dm/impls/plex/tutorials/ex10.c.html
src/snes/tutorials/ex12.c.html
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages